// public Action:OnLookStartPre(client);
// public OnLookStartPost(client);
// public OnLookEnd(client);
//
// For example, if need only OnLookStartPost hook, use HookLookModel(INVALID_FUNCTION, OnLookStartPost, INVALID_FUNCTION);
native HookLookModel(Function:OnLookStartPre = INVALID_FUNCTION, Function:OnLookStartPost = INVALID_FUNCTION, Function:OnLookEnd = INVALID_FUNCTION);

// If true, then the player looks at himself from the third person.
native bool:LookModel(client);

public SharedPlugin:__pl_look_at_your_model = 
{
	name = "look_at_your_model",
	file = "look_at_your_model.smx",
#if defined REQUIRE_PLUGIN
	required = 1,
#else
	required = 0,
#endif
};

#if !defined REQUIRE_PLUGIN
public __pl_vip_SetNTVOptional()
{
	MarkNativeAsOptional("HookLookModel");
	MarkNativeAsOptional("LookModel");
}
#endif